body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: #f0f0f0;
}

header {
    display: flex;
    align-items: center;
    padding: 20px;
    background: #ffffff;
    color: #000000;
    width: 95%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

header .logo {
    height: 50px;
    margin-left: 40px;
}

header h1 {
    font-size: 1.5em;
    margin: 0;
}

.container {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    width: 95%;
    max-width: 600px;
    margin: 10px;
}

.step {
    display: none;
}

.step.active {
    display: block;
}

form {
    display: contents;
}

.category {
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
}

.category h3 {
    width: 100%;
    text-align: center;
    margin-bottom: 10px;
}

.category label {
    flex: 1;
    display: block;
    margin: 5px;
    background: #e6e6e6;
    padding: 10px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
}

button {
    display: block;
    margin: 20px 0;
    padding: 10px 20px;
    border: none;
    background: #007bff;
    color: #fff;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background: #0056b3;
}

#vote-result h4 {
    margin: 10px 0;
}

#vote-result p {
    margin: 5px 0;
}

footer {
    padding: 10px;
    background: #fff;
    color: #000;
    width: 100%;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
